> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Evaluation Charts

> List charts filtered by evaluation_id or evaluation_group_id



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-charts
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/evaluation-charts:
    get:
      tags:
        - Evaluation Charts
      summary: List Evaluation Charts
      description: List charts filtered by evaluation_id or evaluation_group_id
      operationId: GET-V5-/v5/evaluation-charts
      parameters:
        - name: evaluation_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Evaluation Id
        - name: evaluation_group_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Evaluation Group Id
        - name: starting_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Starting After
        - name: ending_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ending Before
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            default: 100
            title: Limit
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            default: asc
            title: Sort Order
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedList_EvaluationChart_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
    PaginatedList_EvaluationChart_:
      properties:
        object:
          type: string
          const: list
          title: Object
          default: list
        items:
          items:
            $ref: '#/components/schemas/EvaluationChart'
          type: array
          title: Items
        limit:
          type: integer
          title: Limit
          description: The maximum number of items to return.
          default: 100
        total:
          type: integer
          title: Total
          description: >-
            The total of items that match the query. This is greater than or
            equal to the number of items returned.
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more items left to be fetched.
      type: object
      required:
        - items
        - total
        - has_more
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvaluationChart:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the evaluation chart
        object:
          type: string
          const: evaluation_chart
          title: Object
          default: evaluation_chart
        evaluation_id:
          title: Evaluation Id
          description: Evaluation ID
          type: string
        evaluation_group_id:
          title: Evaluation Group Id
          description: Evaluation group ID
          type: string
        title:
          type: string
          title: Title
          description: Chart title
        type:
          $ref: '#/components/schemas/EvaluationChartTypeEnum'
          description: Chart type
        account_id:
          type: string
          title: Account Id
          description: Account that owns this chart
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the chart was created
        deleted_at:
          title: Deleted At
          description: When the chart was soft-deleted
          type: string
          format: date-time
        columns:
          title: Columns
          description: Column mappings. Populated with 'columns' view.
          items:
            $ref: '#/components/schemas/EvaluationChartColumnResponse'
          type: array
      type: object
      required:
        - id
        - title
        - type
        - account_id
        - created_at
      description: Response model for evaluation chart
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EvaluationChartTypeEnum:
      type: string
      enum:
        - bar
        - histogram
      title: EvaluationChartTypeEnum
      description: Chart types for evaluation visualizations
    EvaluationChartColumnResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the column mapping
        object:
          type: string
          const: evaluation_chart.column
          title: Object
          default: evaluation_chart.column
        evaluation_id:
          title: Evaluation Id
          description: Evaluation ID (null for single-eval charts)
          type: string
        column_name:
          type: string
          title: Column Name
          description: Column name
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When this column mapping was created
        deleted_at:
          title: Deleted At
          description: When this column mapping was soft-deleted
          type: string
          format: date-time
        account_id:
          type: string
          title: Account Id
          description: Account that owns this column mapping
      type: object
      required:
        - id
        - column_name
        - created_at
        - account_id
      description: Response model for chart column
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````